SND_PCM_STOP(9)

NAME
snd_pcm_stop - try to stop all running streams in the substream group

SYNOPSIS

int snd_pcm_stop(struct snd_pcm_substream * substream, snd_pcm_state_t state);

ARGUMENTS

substream
    the PCM substream instance

state
    PCM state after stopping the stream

DESCRIPTION

The state of each stream is then changed to the given state unconditionally.

RETURN

Zero if successful, or a negative error code.

COPYRIGHT